/*
 * This file is part of htmltolatex (h2l) a HTML to Latex converter
 * Copyright (C) 2001 Neil Radisch (nradisch@panix.com)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file copying.txt.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 */
#ifndef UTIL_H_
#define UTIL_H_

#include <string>

std::string lowerstring(const std::string &s);
std::string stripstring(const std::string &s);
std::string removeequalclause(const std::string &s);
std::string removecolonclause(const std::string &s);
char lookup_special(const std::string &s);
void htmlrgbtotexrgb(const std::string &s,double &r,double &g,double &b);
bool allhexdigits(const std::string &s);

void split_url(const std::string &url,std::string &server,std::string &path,std::string &file);

bool can_spider_url(const std::string &s);

std::string cleanurl(const std::string &s);

std::string val_to_suffix(size_t v);

#endif
